# $Revision: 1.34 $, $Date: 2005/04/08 09:43:02 $
Summary:	Free user-friendly XML editor
Summary(pl):	Wolnodostpny, przyjazny dla uytkownika edytor XML-a
Name:		conglomerate
Version:	0.9.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/conglomerate/%{name}-%{version}.tar.gz
# Source0-md5:	b9c8bf5f5fc04a5e093f8a0e8a973d6a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-locale-names.patch
URL:		http://www.conglomerate.org/
BuildRequires:	GConf2-devel >= 2.10.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	enchant-devel >= 0.1.0
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtksourceview-devel >= 1.2.0
BuildRequires:	intltool >= 0.33
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeprintui-devel >= 2.10.2
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libtool
BuildRequires:	libxslt-devel >= 1.1.14
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	gtk+2 >= 2:2.6.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conglomerate is a free user-friendly XML editor. It attempts to hide
the gory details of XML from the end-user. It can support any XML file
format, but so far we have been concentrating on DocBook support. A
goal of the project is to create a free DocBook editor that Word users
can easily learn.

%description -l pl
Conglomerate to wolnodostpny, przyjazny dla uytkownika edytor XML-a.
Prbuje ukry mordercze szczegy XML-a przed kocowym uytkownikiem.
Potrafi obsuy kady format pliku XML, ale jak na razie jego rozwj
jest skoncentrowany na obsudze dla DocBooka. Celem projektu jest
stworzenie wolnodostpnego edytora DocBooka, atwego do nauczenia dla
uytkownikw Worda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv po/{no,nb}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-schemas-install \
	--with-html-dir=%{_gtkdocdir} \
	--enable-printing
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install conglomerate.schemas
%scrollkeeper_update_post
%update_desktop_database_post

%preun
%gconf_schema_uninstall conglomerate.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr (755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*.png
%{_pixmapsdir}/%{name}
%{_omf_dest_dir}/*
%{_gtkdocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conglomerate.spec,v $
Revision 1.34  2005/04/08 09:43:02  paladine
- new style macros
- STBR

Revision 1.33  2005/04/06 11:18:31  paladine
- missing umask 022

Revision 1.32  2005/04/05 23:17:19  paladine
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- don't package deprecated gnome-mime-data stuff
- rel. 2

Revision 1.31  2005/02/19 14:59:15  paladine
- updated to 0.9.0
- removed outdated missing_files patch
- updated locale-names patch
- added missing BRs
- proper license

Revision 1.30  2004/11/04 09:25:04  paladine
- updated to 0.7.16
- removed enchant patch, already in sources

Revision 1.29  2004/11/01 15:47:58  grzegol
- updated to 0.7.15
- added enchant patch (buildfix)
- run update-desktop-database in %%post/%%postun

Revision 1.28  2004/07/04 23:46:51  grzegol
- updated to 0.7.14
- added missing_files patch (add some missing files)

Revision 1.27  2004/02/23 22:08:59  ankry
- pl fixes, cosmetics

Revision 1.26  2004/02/19 22:53:25  grzegol
- updated to 0.7.12
- added locale-name patch (changes locale no -> nb)
- updated BRs

Revision 1.25  2004/01/31 12:05:14  grzegol
- updated to 0.7.11
- added --enable-printing
- commented out gtk-doc (it's temporary disabled in sources)

Revision 1.24  2004/01/13 09:13:25  trojan
- updated to 0.7.10

Revision 1.23  2004/01/10 17:47:20  grzegol
- removed dont_install_schemas patch - it's not needed

Revision 1.22  2004/01/05 20:37:06  grzegol
- updated to 0.7.9
- added dont_install_schemas patch (don't install schemas while building)
- added .schema file

Revision 1.21  2003/12/18 09:35:59  trojan
- updated to 0.7.8
- added it/ac/am regeneration (BR updated)

Revision 1.20  2003/12/11 14:10:02  grzegol
- updated to 0.7.7

Revision 1.19  2003/10/30 10:05:14  trojan
- updated to 0.7.6

Revision 1.18  2003/10/08 18:37:45  grzegol
- updated to 0.7.5
- enabled gtk-doc building

Revision 1.17  2003/09/25 07:56:19  trojan
- updated to 0.7.4

Revision 1.16  2003/09/23 07:45:39  trojan
- updated to 0.7.3

Revision 1.15  2003/09/19 06:09:38  aflinta
- version 0.7.2

Revision 1.14  2003/09/02 00:17:48  grzegol
- updated to 0.7.1

Revision 1.13  2003/08/29 21:13:29  grzegol
- updated to 0.7.0
- added %%post/%%postun /usr/bin/scrollkeeper-update
- updated %%files

Revision 1.12  2003/08/06 16:48:57  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.11  2003/08/01 11:58:50  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.10  2003/06/25 17:41:29  grzegol
- updated to 0.5.4
- added desktop patch (fixes Category in .desktop file)
- updated %%files
- added BRs

Revision 1.9  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.8  2003/06/14 13:32:51  aflinta
- fixed URL

Revision 1.7  2003/06/14 13:30:03  aflinta
- added URL

Revision 1.6  2003/06/13 21:08:36  grzegol
- updated to 0.5.3

Revision 1.5  2003/06/13 18:32:50  mwinkler
- small url fix

Revision 1.4  2003/06/11 09:07:34  trojan
- updated to 0.5.2
- added pixmapsdir

Revision 1.3  2003/06/09 07:31:11  trojan
- typo

Revision 1.2  2003/06/08 16:25:04  qboosh
- pl, removed unused BRs

Revision 1.1  2003/06/07 10:16:54  aflinta
- PLD initial release
